import { request } from "@/utils/request.js";

/**
 * 产品管理 API接口
 */
export default {
  /**
   * 数据列表
   * @returns
   */
  getPageList(params = {}) {
    return request({
      url: "/v1/center/GameMain/index",
      method: "get",
      params,
    });
  },

  /**
   * 添加数据
   * @returns
   */
  save(params = {}) {
    return request({
      url: "/v1/center/GameMain/save",
      method: "post",
      data: params,
    });
  },

  /**
   * 更新数据
   * @returns
   */
  update(id, data = {}) {
    return request({
      url: "/v1/center/GameMain/update?id=" + id,
      method: "put",
      data,
    });
  },

  /**
   * 读取数据
   * @returns
   */
  read(id) {
    return request({
      url: "/v1/center/GameMain/read?id=" + id,
      method: "get",
    });
  },

  /**
   * 删除数据
   * @returns
   */
  destroy(data) {
    return request({
      url: "/v1/center/GameMain/destroy",
      method: "delete",
      data,
    });
  },
};
